#ifndef _BJL_DRIVER_H
#define _BJL_DRIVER_H

#include <SupportDefs.h>

// io control commands
#define CONFIGURE 'CONF'
#define SET_PORT 'PORT'
#define SET_CHECK_SUM 'CHEC'
#define SET_PACKETS 'PACK'
#define SET_TIMEOUT 'TOUT'
#define READ_STATUS 'RSTD'
#define GET_ERRORS 'GERR'

typedef struct io_control_data_t
{
	uint32 port;			// port number
	bool checkSum;			// send checksum after sending data
	bool packets;			// break data into packets
	int timeout;			// timeout for sending/receiving routines

	bool ok;					// used by the driver
	float numPackets;		//
	float numFails;		//
}io_control_data_t;

#endif
