#ifndef _BJL_CONNECTION_H
#define _BJL_CONNECTION_H

#include <SupportDefs.h>
#include <iostream.h>
#include <fcntl.h>
#include <unistd.h>
#include <ByteOrder.h>
#include "../bjldriver.h"

/*
	Class to send/receive data to/from computer/jaguar
	it's based on bjlclass but enchanced to include new functions and make it
	easier (I hope) to use
*/

class CBJLConnection
{
public:
	CBJLConnection(int port=0);
			
	void Open();
	void Close();
// true if connection is open an ready
	bool IsReady();	

// ... no comments
	void Configure(io_control_data_t *io);

// send data
	void SendLong(int longword) const;
	void SendBuffer(void *buffer, int size) const;

// receive data
	bool ReceiveBool() const;
	unsigned char ReceiveByte() const;
	unsigned short ReceiveWord() const;
	unsigned long ReceiveLong() const;

// get number of packets and failed packets
	void GetErrors(float *packets, float *fails);

// enable / disable check sum, (after sending any data (a buffer or a single byte)
// it'll send the check sum)
	void EnableCheckSum(bool enable);
// enable / disable packets, if true data is break into PACKET_SIZE packets, each on
// is checksumed (if on)
	void EnablePackets(bool enable);

private:
	int handler;			// file handler for driver
	io_control_data_t control;
	bool checkSum;
};

#endif
